Bug 31716 - reboot/shutdown behavior with openssh is bad
Summary: reboot/shutdown behavior with openssh is bad
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-13 21:39 UTC by Arjan van de Ven
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-15 15:01:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arjan van de Ven 2001-03-13 21:39:06 UTC
Red Hat issues a "kill -9" to sshd when the sshd is shut down, while
Debian issues a SIGTERM. The difference in behavior is that the Red Hat
Linux sshd leaves all clients in a "stuck" state (only kill -9 able) while
the Debian sshd nicely disconnects and the clients return cleanly.

This should not be hard to fix and will spare me a lot of annoyance.

Comment 1 Bill Nottingham 2001-03-14 03:12:52 UTC
It should only do a kill -9 if it doesn't respond to a kill -TERM, looking
at the init script.

Comment 2 Nalin Dahyabhai 2001-03-16 00:31:30 UTC
This has been my experience with recent initscripts versions as well.  The
first "service sshd stop" kills the master listener, and a subsequent stop
attempt will only use kill -9 if a kill -TERM doesn't cause the sessions
to stop.

Have just checked with the current tree, and the clients receive a
"Connection to host closed by remote host." message.  Please reopen if
you're seeing this problem with the latest versions of initscripts and
openssh-server.


Note You need to log in before you can comment on or make changes to this bug.